smp_info_t Struct Reference
Public interface » ID macros » Device information structs

smp info according to Intel smp spec (ia32) More...

`#include <hd.h>`

## Data Fields

unsigned | ok:1
| data are valid
unsigned | rev
| MP spec revision.
unsigned | mpfp
| MP Floating Pointer struct.
unsigned | mpconfig_ok:1
| MP config table valid.
unsigned | mpconfig
| MP config table.
unsigned | mpconfig_size
| dto, size
unsigned char | feature [5]
| MP feature info.
char | oem_id [9]
| oem id
char | prod_id [13]
| product id
unsigned | cpus
unsigned | cpus_en
| number of cpus & ennabled cpus

## Detailed Description

smp info according to Intel smp spec (ia32)

The documentation for this struct was generated from the following file:

- hd.h